Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
QwtPlotAbstractSeriesItem Class Reference

`#include <qwt_plot_seriesitem.h>`

Inheritance diagram for QwtPlotAbstractSeriesItem:
[legend]

List of all members.

## Public Member Functions

| QwtPlotAbstractSeriesItem (const QString &title=QString::null)
| QwtPlotAbstractSeriesItem (const QwtText &title)
virtual | ~QwtPlotAbstractSeriesItem ()
virtual void | draw (QPainter *p, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &) const
virtual void | drawSeries (QPainter *painter, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect, int from, int to) const =0
Qt::Orientation | orientation () const
void | setOrientation (Qt::Orientation)
Public Member Functions inherited from QwtPlotItem
| QwtPlotItem (const QwtText &title=QwtText())
virtual | ~QwtPlotItem ()
void | attach (QwtPlot *plot)
virtual QRectF | boundingRect () const
void | detach ()
void | hide ()
bool | isVisible () const
virtual void | itemChanged ()
virtual QWidget * | legendItem () const
QRectF | paintRect (const QwtScaleMap &, const QwtScaleMap &) const
QwtPlot * | plot () const
virtual int | rtti () const
QRectF | scaleRect (const QwtScaleMap &, const QwtScaleMap &) const
void | setAxes (int xAxis, int yAxis)
void | setItemAttribute (ItemAttribute, bool on=true)
void | setRenderHint (RenderHint, bool on=true)
void | setTitle (const QString &title)
void | setTitle (const QwtText &title)
virtual void | setVisible (bool)
void | setXAxis (int axis)
void | setYAxis (int axis)
void | setZ (double z)
void | show ()
bool | testItemAttribute (ItemAttribute) const
bool | testRenderHint (RenderHint) const
const QwtText & | title () const
virtual void | updateLegend (QwtLegend *) const
virtual void | updateScaleDiv (const QwtScaleDiv &, const QwtScaleDiv &)
int | xAxis () const
int | yAxis () const
double | z () const
Public Member Functions inherited from QwtLegendItemManager
| QwtLegendItemManager ()
virtual | ~QwtLegendItemManager ()
virtual void | drawLegendIdentifier (QPainter *, const QRectF &) const

## Additional Inherited Members

Public Types inherited from QwtPlotItem
enum | ItemAttribute { Legend = 0x01, AutoScale = 0x02 }
typedef QFlags< ItemAttribute > | ItemAttributes
enum | RenderHint { RenderAntialiased = 1 }
typedef QFlags< RenderHint > | RenderHints
enum | RttiValues { Rtti_PlotItem = 0, Rtti_PlotGrid, Rtti_PlotScale, Rtti_PlotMarker, Rtti_PlotCurve, Rtti_PlotSpectroCurve, Rtti_PlotIntervalCurve, Rtti_PlotHistogram, Rtti_PlotSpectrogram, Rtti_PlotSVG, Rtti_PlotUserItem = 1000 }

## Detailed Description

Base class for plot items representing a series of samples.

## Constructor & Destructor Documentation

QwtPlotAbstractSeriesItem::QwtPlotAbstractSeriesItem | ( | const QString & | title = `QString::null` | ) |

explicit

Constructor

Parameters:

  title | Title of the curve

QwtPlotAbstractSeriesItem::QwtPlotAbstractSeriesItem | ( | const QwtText & | title | ) |

explicit

Constructor

Parameters:

  title | Title of the curve

## Member Function Documentation

void QwtPlotAbstractSeriesItem::draw | ( | QPainter * | painter,
|  | const QwtScaleMap & | xMap,
|  | const QwtScaleMap & | yMap,
|  | const QRectF & | canvasRect
| ) |  | const

virtual

Draw the complete series.

Parameters:

  painter | Painter
  xMap | Maps x-values into pixel coordinates.
  yMap | Maps y-values into pixel coordinates.
  canvasRect | Contents rect of the canvas

Implements QwtPlotItem.

virtual void QwtPlotAbstractSeriesItem::drawSeries | ( | QPainter * | painter,
|  | const QwtScaleMap & | xMap,
|  | const QwtScaleMap & | yMap,
|  | const QRectF & | canvasRect,
|  | int | from,
|  | int | to
| ) |  | const

pure virtual

Draw a subset of the samples

Parameters:

  painter | Painter
  xMap | Maps x-values into pixel coordinates.
  yMap | Maps y-values into pixel coordinates.
  canvasRect | Contents rect of the canvas
  from | Index of the first point to be painted
  to | Index of the last point to be painted. If to < 0 the curve will be painted to its last point.

Implemented in QwtPlotCurve, QwtPlotIntervalCurve, QwtPlotHistogram, and QwtPlotSpectroCurve.

Qt::Orientation QwtPlotAbstractSeriesItem::orientation | ( |  | ) | const

Returns:
  Orientation of the plot item

See also:
  setOrientation()

void QwtPlotAbstractSeriesItem::setOrientation | ( | Qt::Orientation | orientation | ) |

Set the orientation of the item.

The orientation() might be used in specific way by a plot item. F.e. a QwtPlotCurve uses it to identify how to display the curve int QwtPlotCurve::Steps or QwtPlotCurve::Sticks style.

See also:
  orientation()